Index: WAeUP_SRP/trunk/skins/waeup_student/acknowledge_print.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/acknowledge_print.pt	(revision 472)
+++ WAeUP_SRP/trunk/skins/waeup_student/acknowledge_print.pt	(revision 472)
@@ -0,0 +1,27 @@
+<html>
+    <tal:block tal:condition="python:context.portal_type == 'Student'" tal:omit-tag="">  
+      <tal:block tal:define="
+                          appl python:here.application;
+                          appl_proxy python:appl.getContent();
+                          clear python:here.clearance;
+                          clear_proxy python:clear.getContent();
+                          pers python:here.personal;
+                          pers_proxy python:pers.getContent();"
+                          >
+
+      <h2>Acknowledgement Slip for <span tal:content="pers_proxy/firstname" /> <span tal:content="pers_proxy/lastname" /></h2>      
+  
+   
+      <tal:block  tal:content="structure python:appl_proxy.render(cluster='appl_slip')" />
+      <tal:block  tal:content="structure python:clear_proxy.render(cluster='appl_slip')" /> 
+      <tal:block  tal:content="structure python:pers_proxy.render(cluster='appl_slip')" />
+
+
+      </tal:block>  
+    </tal:block>
+    <tal:block condition="python:context.portal_type != 'Student'">
+    
+      This is not a student object!
+    
+    </tal:block>  
+</html>
Index: WAeUP_SRP/trunk/skins/waeup_student/acknowledge_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/acknowledge_slip.pt	(revision 471)
+++ WAeUP_SRP/trunk/skins/waeup_student/acknowledge_slip.pt	(revision 472)
@@ -18,6 +18,6 @@
     <tal:block tal:condition="python:context.portal_type == 'Student'" tal:omit-tag="">  
       <tal:block tal:define="
-                          adm python:here.admission;
-                          adm_proxy python:adm.getContent();
+                          appl python:here.application;
+                          appl_proxy python:appl.getContent();
                           clear python:here.clearance;
                           clear_proxy python:clear.getContent();
@@ -29,7 +29,7 @@
   
    
-      <tal:block tal:content="structure python:adm_proxy.render(cluster='adm_slip')" />
-      <tal:block tal:content="structure python:clear_proxy.render(cluster='adm_slip')" /> 
-      <tal:block tal:content="structure python:pers_proxy.render(cluster='adm_slip')" />
+      <tal:block tal:content="structure python:appl_proxy.render(cluster='appl_slip')" />
+      <tal:block tal:content="structure python:clear_proxy.render(cluster='appl_slip')" /> 
+      <tal:block tal:content="structure python:pers_proxy.render(cluster='appl_slip')" />
 
 
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_status.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_status.py	(revision 471)
+++ 	(revision )
@@ -1,38 +1,0 @@
-##parameters=
-# $Id$
-"""
-search for admitted students 
-return html renderer + psm
-"""
-##type_name = 'Jamb'
-##ti = context.portal_types[type_name]
-##
-##context.REQUEST.set('type_name',type_name)
-##
-##validate = REQUEST.has_key("cpsdocument_edit_button")
-
-request = context.REQUEST
-lt = context.portal_layouts
-catalog = context.portal_catalog
-
-rendered,psm,ds = lt.renderLayout(layout_id= 'admission_status',
-                      schema_id= 'jamb',
-                      context=context,
-                      mapping=request,
-                      ob={},
-                      layout_mode='create',
-                      )
-qs = ds.get('quick_search')
-list = []
-if qs:
-    res = catalog(SearchableText = "%s*" % qs)
-    if res:
-        for i in res:
-            o = i.getObject()
-            if o.portal_type == 'Jamb':
-                list.append(o)
-return context.admission_status_form(rendered = rendered,
-                                 psm = '',
-                                 list = list,
-                                 ds = ds
-                                 )
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_status_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_status_form.pt	(revision 471)
+++ 	(revision )
@@ -1,47 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;
-                   data_storage options/ds;
-                   jamb options/jamb/getContent|nothing;
-                   edition python:1;"
-                   >
-<metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition edition|nothing;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-    <metal:block fill-slot="main">
-        <h1>List admitted students!</h1>
-        <p>
-          You may be seeing a long list of names or just the name of the person of your interest below. 
-          Click on the View Details against the name of the candidate of your interest to display the 
-          required information. If the candidate of your interest is not in the list displayed, 
-          you may type another name or registration number again in the Quick Search box below and click 
-          on GO button.
-        </p>
-      <div tal:replace="structure rendered_main" />
-        <span  tal:define="list options/list">
-          <span tal:condition="not: list">
-            No Records found
-          </span>
-          <span tal:condition="list">
-            <h2>The following entries match your query:</h2>
-          <table>
-            <tr tal:repeat="row list">
-              <td colspan="" tal:content="row/reg_nr"></td>
-              <td colspan="" tal:content="row/firstname"></td>
-              <td colspan="" tal:content="row/middlename"></td>
-              <td colspan="" tal:content="row/lastname"></td>
-            </tr>
-          </table>
-        </span>
-        </span>
-    </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-
-</metal:block>
-</metal:block>
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/application.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application.py	(revision 472)
+++ WAeUP_SRP/trunk/skins/waeup_student/application.py	(revision 472)
@@ -0,0 +1,61 @@
+##parameters=REQUEST
+# $Id: application.py 173 2005-11-15 16:28:29Z joachim $
+"""
+process the Application Form
+return html renderer + psm
+"""
+import DateTime
+current = DateTime.DateTime()
+
+type_name = 'StudentApplication'
+
+ti = context.portal_types[type_name]
+
+REQUEST.set('type_name',type_name)
+
+validate = REQUEST.has_key("cpsdocument_edit_button")
+
+
+lt = context.portal_layouts
+pr = context.portal_registration
+
+res,psm,ds = lt.renderLayout(layout_id= 'student_check_pin',
+                      schema_id= 'student_application',
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      formaction = "application",
+                      submit = "check",
+                      )
+if psm == 'invalid':
+    return context.application_form(rendered = res,
+                                 psm = "Please correct your input",
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.application_form(rendered = res,
+                                 psm = None,
+                                 ds = ds,
+                                 )
+elif psm == 'valid':
+    jamb_id = ds.get('jamb_id')
+    catalog = context.portal_catalog
+    search = catalog({'meta_type': 'StudentApplication',
+                     'jamb_reg_no': jamb_id
+                     })
+
+    if len(search) < 1:
+        psm = "No JAMB record %s" % (jamb_id)
+        return context.application_form(rendered = res,
+                                 psm = psm,
+                                 ds = ds,
+                                 )
+application = search[0].getObject()
+student = application.aq_parent
+student.invokeFactory('StudentClearance','clearance')
+student.invokeFactory('StudentPersonal','personal')
+# now display the passport form with jamb-data readonly
+return student.acknowledge_slip()
+
+
Index: WAeUP_SRP/trunk/skins/waeup_student/application_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_form.pt	(revision 472)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_form.pt	(revision 472)
@@ -0,0 +1,30 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;
+                   data_storage options/ds;
+                   jamb options/jamb/getContent|nothing;
+                   edition python:1;"
+                   >
+<metal:block define-macro="edit_form">
+<metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition edition|nothing;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+      <metal:block fill-slot="main">
+        <h1>Apply for the Post University Matriculation Examination! </h1>
+        <div tal:replace="structure rendered_main" />
+          <p>Instructions :</p>
+          <ul>
+            <li>Buy an Application Scratch Card.</li> 
+            <li>Enter your JAMB registration number and the Application PIN above.</li> 
+            <li>Upload your passport picture.</li> 
+            <li>Print the Application Acknowledgement Slip.</li>
+          </ul>
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_status.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_status.py	(revision 472)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_status.py	(revision 472)
@@ -0,0 +1,38 @@
+##parameters=
+# $Id: application_status.py 71 2005-10-21 12:02:05Z joachim $
+"""
+search for admitted students
+return html renderer + psm
+"""
+##type_name = 'Jamb'
+##ti = context.portal_types[type_name]
+##
+##context.REQUEST.set('type_name',type_name)
+##
+##validate = REQUEST.has_key("cpsdocument_edit_button")
+
+request = context.REQUEST
+lt = context.portal_layouts
+catalog = context.portal_catalog
+
+rendered,psm,ds = lt.renderLayout(layout_id= 'application_status',
+                      schema_id= 'jamb',
+                      context=context,
+                      mapping=request,
+                      ob={},
+                      layout_mode='create',
+                      )
+qs = ds.get('quick_search')
+list = []
+if qs:
+    res = catalog(SearchableText = "%s*" % qs)
+    if res:
+        for i in res:
+            o = i.getObject()
+            if o.portal_type == 'Jamb':
+                list.append(o)
+return context.application_status_form(rendered = rendered,
+                                 psm = '',
+                                 list = list,
+                                 ds = ds
+                                 )
Index: WAeUP_SRP/trunk/skins/waeup_student/payed_hostel_fee.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/payed_hostel_fee.pt	(revision 471)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-  <metal:block fill-slot="main"
-               tal:define="student context/getContent;
-               dict options/dict"
-               >
-    You payed <span tal:content="student/accommodation" /><br /> 
-    with Scratchcard PIN <span tal:content="dict/sc_pin" /> <br />
-    on <span  tal:content="dict/sc_date"/>.
-    
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_student/request_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/request_admission.py	(revision 471)
+++ 	(revision )
@@ -1,61 +1,0 @@
-##parameters=REQUEST
-# $Id: check_admission.py 173 2005-11-15 16:28:29Z joachim $
-"""
-process the Admission Form
-return html renderer + psm
-"""
-import DateTime
-current = DateTime.DateTime()
-
-type_name = 'StudentAdmission'
-
-ti = context.portal_types[type_name]
-
-REQUEST.set('type_name',type_name)
-
-validate = REQUEST.has_key("cpsdocument_edit_button")
-
-
-lt = context.portal_layouts
-pr = context.portal_registration
-
-res,psm,ds = lt.renderLayout(layout_id= 'student_check_pin',
-                      schema_id= 'student_admission',
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      formaction = "request_admission",
-                      submit = "check",
-                      )
-if psm == 'invalid':
-    return context.request_admission_form(rendered = res,
-                                 psm = "Please correct your input",
-                                 ds = ds,
-                                 )
-elif psm == '':
-    return context.request_admission_form(rendered = res,
-                                 psm = None,
-                                 ds = ds,
-                                 )
-elif psm == 'valid':
-    jamb_id = ds.get('jamb_id')
-    catalog = context.portal_catalog
-    search = catalog({'meta_type': 'StudentAdmission',
-                     'jamb_reg_no': jamb_id
-                     })
-    
-    if len(search) < 1:
-        psm = "No JAMB record %s" % (jamb_id)
-        return context.request_admission_form(rendered = res,
-                                 psm = psm, 
-                                 ds = ds,
-                                 )
-admission = search[0].getObject() 
-student = admission.aq_parent
-student.invokeFactory('StudentClearance','clearance')
-student.invokeFactory('StudentPersonal','personal')
-# now display the passport form with jamb-data readonly
-return student.acknowledge_slip()
-
-
Index: WAeUP_SRP/trunk/skins/waeup_student/request_admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/request_admission_form.pt	(revision 471)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;
-                   data_storage options/ds;
-                   jamb options/jamb/getContent|nothing;
-                   edition python:1;"
-                   >
-<metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition edition|nothing;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-      <metal:block fill-slot="main">
-        <h1>Apply for the Post University Matriculation Examination! </h1>
-        <div tal:replace="structure rendered_main" />
-          <p>Instructions :</p>
-          <ul>
-            <li>Buy an Application Scratch Card.</li> 
-            <li>Enter your JAMB registration number and the Application PIN above.</li> 
-            <li>Upload your passport picture.</li> 
-            <li>Print the Application Acknowledgement Slip.</li>
-          </ul>
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
